Queue Registry Export
POST
/v1/transactions/exportsOptionalQueue a PDF or CSV export of filtered transactions. Poll the returned exportId for completion.
Authentication
Signature Pattern
HMAC-SHA256(secretKey, "{timestamp}\nPOST\n/v1/transactions/exports\n{sha256(body)}")| Header | Value | Description |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
format | string | Required | "pdf" or "csv" |
filters | object | Optional | Same filters as list: {storeId?, status?, from?, to?, amountMin?, amountMax?, customerId?, paymentId?} |
Request Example
JSONRequest Body
{
"format": "csv",
"filters": {
"from": "2026-04-01T00:00:00Z",
"to": "2026-04-30T23:59:59Z",
"status": "captured"
}
}Response Parameters
| Field | Type | Example |
|---|---|---|
exportId | string | "exp_3c4d5e6f7081" |
status | string | "queued" |
Response Example
JSONResponse
{
"exportId": "exp_3c4d5e6f7081",
"status": "queued"
}Status Codes
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
POSThttps://api.pay.sandbox.kvell.group